package output

import (
	"bytes"
	"encoding/json"
	"io"

	"git.bissendorf.co/bissendorf/unifood/m/v2/core/interfaces"
)

type JsonFormatter struct{}

func (f *JsonFormatter) Format(list *interfaces.ResourceList) (io.Reader, error) {
	var buffer = make([]byte, 0, 1024)
	outputBuffer := bytes.NewBuffer(buffer)
	return outputBuffer, json.NewEncoder(outputBuffer).Encode(list)
}
